# JV Credit Note

## Save JV Credit Note :- LOGIC API PUSH - JOURNAL CREDIT NOTE <a href="#heading" id="heading"></a>

This API is used to create Journal Voucher Credit Note

### **Authorization Detail**

| Name          | Detail                                          |
| ------------- | ----------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveJVCreditNote> |
| Request Type  | POST                                            |
| Authorization | Basic Auth                                      |
| Username      | Demo                                            |
| Password      | 1                                               |

### **Request**

```
               
{
    "Bill_No": null,
    "Bill_Date": "12/12/2023",
    "PartyUserCode": "",
    "GR_No": null,
    "GR_Date": null,
    "TranspoterName": null,
    "BranchCode": 2,
    "BranchShortName": null,
    "AgentName": null,
    "Remarks_1": "RKS-1",
    "Remarks_2": "RKS-2",
    "ListAccounts":  [
         {
            "PartyUserCode": "IGS 12",
            "Amount": 100.0,
            "DebitOrCredit": "CR",
            "Narration": null,
            "CompanyName": null,
            "HS_Code": null 
         },
         {
            "PartyUserCode": "IGST O2",
            "Amount": 12,
            "DebitOrCredit": "CR",
            "Narration": "NAR-2",
            "CompanyName": null,
            "HS_Code": null
         },
         {
            "PartyUserCode": "1003",
            "Amount": 112,
            "DebitOrCredit": "DR",
            "Narration": "NAR-1",
            "CompanyName": null,
            "HS_Code": null
         }
     ]
}
  
```

| Name            | Type      | Length | Mandatory |
| --------------- | --------- | ------ | --------- |
| Bill\_No        | nvarchar  | 25     | -         |
| Bill\_Date      | date/time | -      | -         |
| PartyUserCode   | nvarchar  | 50     | -         |
| GR\_No          | nvarchar  | 25     | -         |
| GR\_Date        | date/time | -      | -         |
| TranspoterName  | nvarchar  | 25     | -         |
| BranchCode      | nvarchar  | 8      | -         |
| BranchShortName | nvarchar  | 25     | -         |
| AgentName       | nvarchar  | 25     | -         |
| Remarks\_1      | nvarchar  | 30     | -         |
| Remarks\_2      | nvarchar  | 30     |           |
| PartyUserCode   | nvarchar  | 8      | yes       |
| Amount          | money     | -      | yes       |
| DebitOrCredit   | nvarchar  | 50     | yes       |
| Narration       | nvarchar  | 50     | -         |
| CompanyName     | nvarchar  | 50     | -         |
| HS\_Code        | num       | -      | -         |

### **Response**

```
{
    "LastSavedDocNo": "JVCN-2312-1--1",
    "LastSavedCode": 11,
    "Status": true ,
    "Message": "" 
 }
  
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/accounts/push/jv-credit-note.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
